# Rust Embassy ESP32


## 🔧 Binghe 2.13″ E-Ink LoRa with ESP‑32‑S3 - Specs

| Feature              | Specification                                               |
| -------------------- | ----------------------------------------------------------- |
| MCU                  | ESP32‑S3 FN8 (dual-core Xtensa LX7 @240 MHz, BT 5, USB‑OTG) |
| SRAM / Flash         | 512 KiB SRAM (+ external PSRAM support), \~8 MiB Flash      |
| LoRa Chip            | SX1262 (433/470–510/863–928 MHz)                            |
| Display              | 2.13″ B/W E‑Ink, 250 × 122 px, partial/full refresh         |
| Power Inputs         | USB‑C, LiPo battery (3–5 V)                                 |
| Battery Charging     | TP4054 Li‑ion Li‑Po charger                                 |
| Sleep Current        | \~20 µA deep sleep                                          |
| Display Retention    | 180+ days when unpowered                                    |
| Area & Weight        | \~88 × 30 × 25 mm, \~60 g                                   |
| Operating Conditions | 0–50 °C, 35–70 % RH                                         |
| Connectivity         | Wi‑Fi 2.4 GHz, BT 5 (LE), LoRa                              |
| UART Bridge          | CP2102 (USB‑UART)                                           |
| Antenna              | On-board LoRa antenna, IPEX + SMA                           |

# Software
```
sudo apt-get install -y gcc build-essential curl pkg-config
# https://github.com/esp-rs/espup
cargo install espup --locked
espup install
source $HOME/export-esp.sh
. /home/robert/export-esp.sh
espup completions zsh > ~/.zfunc/_espup

# https://github.com/esp-rs/espflash
cargo install cargo-espflash --locked
cargo install espflash --locked

# build & flash 
cargo build --release
cargo espflash board-info
cargo espflash flash --chip esp32s3 --monitor --release --bin main
```

when starting the project remember to source your espconfig:
`. $HOME/export-esp.sh`
